Bug 1107652 - Yahoo.com and AOL DMARC reject policies cripples Mailman-2.1.12 - update to newer release
Summary: Yahoo.com and AOL DMARC reject policies cripples Mailman-2.1.12 - update to n...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mailman
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 1095359 1192124
Blocks: 1110700 1133060 1191021 1229288
TreeView+ depends on / blocked
 
Reported: 2014-06-10 11:56 UTC by Jan Kaluža
Modified: 2016-11-23 02:53 UTC (History)
12 users (show)

Fixed In Version: mailman-2.1.15-18.el7
Doc Type: Bug Fix
Doc Text:
Previously, it was impossible to configure Mailman in a way that Domain-based Message Authentication, Reporting & Conformance (DMARC) would recognize Sender alignment for Domain Key Identified Mail (DKIM) signatures. Consequently, Mailman list subscribers that belonged to a mail server with a "reject" policy for DMARC, such as yahoo.com or AOL.com, were unable to receive Mailman forwarded messages from senders residing in any domain that provided DKIM signatures. With this update, domains with a "reject" DMARC policy are recognized correctly, and Mailman list administrators are able to configure the way these messages are handled. As a result, after a proper configuration, subscribers now correctly receive Mailman forwarded messages in this scenario.
Clone Of: 1095359
: 1229288 (view as bug list)
Environment:
Last Closed: 2015-11-20 10:25:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 11 Jan Kurik 2015-11-20 10:25:01 UTC
This bug has been closed as CURRENTRELEASE due to delivery of the fix in a z-stream. As the component is not on ACL, the fix is currently included in y-stream as well.

For more information please see the zstream process documentation:
* https://engineering.redhat.com/trac/ZStream/attachment/wiki/WikiStart/Z-Stream_process_update_4.odp .


Note You need to log in before you can comment on or make changes to this bug.